All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.models
Class KeyCollection

    com.sas.models.KeyCollection

All Implemented Interfaces:
  com.sas.beans.PropertyChangeSource, com.sas.beans.VetoableChangeSource, CollectionInterface, com.sas.collection.ContentsChangedSource, OrderedCollectionInterface, Sortable, StaticCollectionInterface, StaticOrderedCollectionInterface, ComponentInterface, com.sas.DeepClonable, LinkPropertiesInterface, ModelInterface, com.sas.PublicClonable, com.sas.util.Countable, com.sas.util.Enumerable, com.sas.util.EventGateInterface, IndexedGetInterface, IndexedSetInterface, ViewInterface, MultipleValueEventSourceInterface, java.beans.PropertyChangeListener, java.io.ObjectInputValidation, java.io.Serializable, java.lang.Cloneable, java.util.EventListener

    public class KeyCollection

A collection containing strings for all of the java.awt.event.KeyEvent key codes. There are also 2 static methods for determining the mapping between the string of the key code and the KeyEvent key code value.

See Also:
  `KeyEvent`, Serialized Form

Field Summary

Fields inherited from class com.sas.collection.OrderedCollection
`RB_KEY`

Fields inherited from class com.sas.collection.BaseCollection
`allContentsChangedListeners, mappingObject`

Constructor Summary
`KeyCollection()`

Method Summary
`protected void` | `createList()` Called by the construct to add all of the KeyEvent key codes to the collection.
`static int` | `getKeyMapping(java.lang.String key)` Get the KeyEvent key code corresponding to the given string.
`static java.lang.String` | `getStringMapping(int key)` Get the string corresponding to the given KeyEvent key code.

Methods inherited from class com.sas.collection.OrderedCollection
`add, add, addItems, addItems, append, apply, clone, clone, computeNewCapacity, contains, count, dumpComponent, equals, equals, get, getExtendedBeanInfo, getIndex, getItems, getItems, getLastIndex, moveHole, moveHoleEnsureCapacity, remove, removeAll, removeAll, removeAt, set, setSize, sort, sort, sort, sort, toArray, toArray, toString`

Methods inherited from class com.sas.collection.BaseCollection
`addContentsChangedListener, anyContentsChangedListeners, disableEvents, enableEvents, enableEvents, fireContentsChanged, map, removeContentsChangedListener, unmap`

Methods inherited from class com.sas.Component
`addLink, addPropertyChangeListener, addVetoableChangeListener, anyPropertyChangeListeners, attachModel, attachView, beansIsDesignTime, beansSetDesignTime, clone, detachModel, detachView, firePropertyChange, firePropertyChange, fireVetoableChange, getComponentDescription, getComponentSupportInfo, getEventMethod, getEventValues, getLinkInfo, getModelInterface, getRequiredInterfaces, getResources, getStringResource, getViewInterfaceSupportInfo, initialize, initializeComponent, isDesignTime, isLinked, propertyChange, queryLinks, queryLinks, refresh, removeAllLinks, removeInterfaceTraps, removeLink, removePropertyChangeListener, removeVetoableChangeListener, setComponentDescription, setComponentSupportInfo, setDefaultValues, setLinkInfo, setModelInterface, setRequiredInterfaces, setViewInterfaceSupportInfo, supportsListenerInterface, supportsRequiredInterfaces, trapInterfaceEvents, validateObject`

Methods inherited from interface com.sas.collection.ContentsChangedSource
`addContentsChangedListener, removeContentsChangedListener`

Methods inherited from interface com.sas.beans.PropertyChangeSource
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### KeyCollection

    public KeyCollection()

Method Detail

### createList

    protected void createList()

  Called by the construct to add all of the KeyEvent key codes to the collection.

### getStringMapping

    public static java.lang.String getStringMapping(int key)

  Get the string corresponding to the given KeyEvent key code.

  Parameters:
    `key` - the KeyEvent key code
  Returns:
    the string matching the KeyEvent.

### getKeyMapping

    public static int getKeyMapping(java.lang.String key)

  Get the KeyEvent key code corresponding to the given string.

  Parameters:
    `key` - the string of the KeyEvent key code name
  Returns:
    the KeyEvent key code matching the string.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.